import { notFound } from "next/navigation";
import { getPost } from "../../action";
import PostDisplay from "./PostDisplay";
import { isLoggedIn } from "@/components/auth";

export default async function Post({
  params,
}: {
  params: Promise<{ slug: string }>;
}) {
  const { slug } = await params;
  const post = await getPost(slug);
  if (!post) {
    notFound();
  }
  const loggedIn = await isLoggedIn();
  return (
    <>
      <PostDisplay post={post} loggedIn={loggedIn} />
    </>
  );
}
