import { Metadata } from "next";
import "./globals.css";
import Title from "@/components/Title";
import Navbar from "@/components/Navbar";
import { bodyFont } from "@/components/fonts";
import Link from "next/link";

export const metadata: Metadata = {
  title: "nrx.sh",
  description: "naresh's site",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body>
        <div
          style={{
            display: "flex",
            justifyContent: "center",
            alignItems: "center",
            flexDirection: "column",
          }}
        >
          <Title />

          <Navbar />
          <div
            className={bodyFont.className}
            style={{
              backgroundColor: "#1D1D1D",
              marginTop: "2rem",
              width: "600px",
              maxWidth: "100vw",
              padding: "2rem",
              boxSizing: "border-box",
              fontSize: "0.9rem",
            }}
          >
            {children}
          </div>
          <div
            style={{
              fontSize: "0.7rem",
              marginTop: "2rem",
              textAlign: "center",
              color: "#888",
            }}
            className={bodyFont.className}
          >
            this site is built from scratch using <b>next.js</b> - it is&nbsp;
            <Link
              style={{ color: "#88f" }}
              href={"https://git.nrx.sh/naresh/nrx.sh"}
            >
              completely open source
            </Link>
          </div>
        </div>
      </body>
    </html>
  );
}
