"use client";

import { SiGitea } from "@icons-pack/react-simple-icons";
import { SocialIcon } from "react-social-icons";

export default function Links() {
  return (
    <>
      here are some of my links:
      <br />
      <br />
      <div
        style={{
          display: "flex",
          flexDirection: "column",
          gap: "1rem",
        }}
      >
        <Link href="https://github.com/naresh97">
          <SocialIcon network="github" bgColor="#111" /> GitHub
        </Link>
        <Link href="https://linkedin.com/in/nareshkumar-rao">
          <SocialIcon network="linkedin" bgColor="#111" /> LinkedIn
        </Link>
        <Link href="https://git.nrx.sh">
          <SiGitea size={40} /> Self-Hosted Git Repos
        </Link>
      </div>
    </>
  );
}

function Link({ href, children }: { href: string; children: React.ReactNode }) {
  return (
    <div
      style={{
        display: "flex",
        gap: "10px",
        alignItems: "center",
        width: "100%",
        backgroundColor: "#111",
        padding: "1rem",
        transition: "background-color 0.3s ease",
        borderRadius: "0.3rem",
        cursor: "pointer",
        boxSizing: "border-box",
      }}
      onMouseEnter={(e) => {
        e.currentTarget.style.backgroundColor = "#333";
      }}
      onMouseLeave={(e) => {
        e.currentTarget.style.backgroundColor = "#111";
      }}
      onClick={() => window.open(href, "_blank")}
    >
      {children}
    </div>
  );
}
