export type Pages = "home" | "about" | "links" | "contact" | "blog";
export const PAGES: Pages[] = ["home", "about", "blog", "links", "contact"];

export function selectedPageFromPathName(pathName: string): Pages {
  if (pathName === "/") {
    return "home";
  }
  if (pathName.includes("/blog/")) {
    return "blog";
  }
  return pathName.replace("/", "") as Pages;
}

export function pathNameFromSelectedPage(page: Pages): string {
  if (page === "home") {
    return "/";
  }
  return `/${page}`;
}
